# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_BooleanParameter Class Reference

This class describes a parameter with a boolean
as value.
.

`#include <Dynamic_BooleanParameter.hxx>`

Inheritance diagram for Dynamic_BooleanParameter:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_BooleanParameter (const Standard_CString aparameter)
| Creates a boolean parameter with <aparameter> as name. .
Standard_EXPORT | Dynamic_BooleanParameter (const Standard_CString aparameter, const Standard_Boolean avalue)
| Creates a boolean parameter with <aparameter> and <avalue> respectively as name and value. .
Standard_EXPORT | Dynamic_BooleanParameter (const Standard_CString aparameter, const Standard_CString avalue)
| Creates a boolean parameter with <aparameter> as name and <avalue> as value. <avalue> is a CString with two possible values which are : "Standard_True" and "Standard_False". .
Standard_EXPORT Standard_Boolean | Value () const
| Returns the boolean value <thevalue>. .
Standard_EXPORT void | Value (const Standard_Boolean avalue)
| Sets the field <thevalue> with the boolean value <avalue> .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thevalue

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_BooleanParameter::Dynamic_BooleanParameter | ( | const Standard_CString | aparameter | ) |

Standard_EXPORT Dynamic_BooleanParameter::Dynamic_BooleanParameter | ( | const Standard_CString | aparameter,
|  | const Standard_Boolean | avalue
| ) |

Standard_EXPORT Dynamic_BooleanParameter::Dynamic_BooleanParameter | ( | const Standard_CString | aparameter,
|  | const Standard_CString | avalue
| ) |

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_BooleanParameter::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT const Dynamic_BooleanParameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT void Dynamic_BooleanParameter::Value | ( | const Standard_Boolean | avalue | ) |

Standard_EXPORT Standard_Boolean Dynamic_BooleanParameter::Value | ( |  | ) | const

## Field Documentation

Standard_Boolean Dynamic_BooleanParameter::thevalue `[private]`

The documentation for this class was generated from the following file:

- Dynamic_BooleanParameter.hxx